Package wx :: Class SpinCtrl

[frames | no frames]

## Type SpinCtrl

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                            SpinCtrl

Proxy of C++ SpinCtrl class

Method Summary
Control | ``__init__`(self, parent, id, pos, size, style, validator, name)` Create a Control.
bool | ``Create`(self, parent, id, pos, size, style, validator, name)` Do the 2nd phase and create the GUI control.
VisualAttributes | ``GetClassDefaultAttributes`(variant)` Get the default attributes for this class. (Static method)
int | `GetMax(self)`
int | `GetMin(self)`
int | `GetValue(self)`
| `SetRange(self, minVal, maxVal)`
| `SetSelection(self, from, to)`
| `SetValue(self, value)`
| `SetValueString(self, text)`

Property Summary
| `Max`: See `GetMax`
| `Min`: See `GetMin`
| `thisown`: The membership flag
| `Value`: See `GetValue` and `SetValue`

Instance Method Details

### __init__(self, parent, id=-1, value=EmptyString, pos=DefaultPosition, size=DefaultSize, style=SP_ARROW_KEYS, min=0, max=100, initial=0, name=SpinCtrlNameStr)
(Constructor)

Create a Control. Normally you should only call this from a subclass' __init__ as a plain old wx.Control is not very useful.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    Control
  Overrides:
    `wx.Control.__init__` (inherited documentation)

### Create(self, parent, id=-1, value=EmptyString, pos=DefaultPosition, size=DefaultSize, style=SP_ARROW_KEYS, min=0, max=100, initial=0, name=SpinCtrlNameStr)

Do the 2nd phase and create the GUI control.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Control.Create` (inherited documentation)

Static Method Details

### GetClassDefaultAttributes(variant=WINDOW_VARIANT_NORMAL)

Get the default attributes for this class. This is useful if you want to use the same font or colour in your own control as in a standard control -- which is a much better idea than hard coding specific colours or fonts which might look completely out of place on the user's system, especially if it uses themes.

The variant parameter is only relevant under Mac currently and is ignore under other platforms. Under Mac, it will change the size of the returned font. See `wx.Window.SetWindowVariant` for more about this.

  Parameters:
    `variant`
    (type=int)

  Returns:
    VisualAttributes

Property Details

### Max

See `GetMax`

  Get Method:
    `GetMax`(self)

### Min

See `GetMin`

  Get Method:
    `GetMin`(self)

### thisown

The membership flag

### Value

See `GetValue` and `SetValue`

  Get Method:
    `GetValue`(self)
  Set Method:
    `SetValue`(self, value)

Generated by Epydoc 2.1.20050511.rpd on Mon May 14 12:02:55 2007 | http://epydoc.sf.net